package com.csg.cs.ws.locator;

/**
 * A SEILocator is used to locate a service end-point interface (SEI).
 * The SEI is a generated JAX-WS interface that provides the Java binding to a
 * WSDL portType. a portType is used to invoke the business operations of the
 * web service.
 * @author A530732
 *
 * @param <SEI> The generated port type.
 */
public interface SEILocator<SEI> {

  /**
   * @return Returns the generated JAX-WS service end-point interface (SEI)
   */
  public SEI getSEI();
  
}
