package com.csg.cs.ws.locator.jse;

/**
 * Provides always the same principal that has to be set during object
 * instantiation.
 * 
 * @author A530732
 * 
 */
public class ConstantPrincipalProvider implements PrincipalProvider {

  private String principal = null;

  public ConstantPrincipalProvider(String principal) {
    this.principal = principal;
  }

  @Override
  public String getPrincipal() throws Exception {
    return principal;
  }

}
