package com.csg.cs.ws.locator.jse;

import java.security.PrivateKey;
import java.security.cert.X509Certificate;

/**
 * A SigningWsSecurityPropagator is used to propagate the security context (i.e. a
 * WS-Security SAML based token) using a digital signature.
 * 
 * @author A530732
 * 
 */
public interface SigningWsSecurityPropagator extends WsSecurityPropagator {

  /**
   * Set the signing credentials.
   */
  public void setSigningCredentials(PrivateKey key, X509Certificate certificate);

}
